#/bin/sh

Path=$(cd $(dirname $0); pwd)

if [ "`id | grep root`" = "" ]; then
	echo "管理者権限で実行してください"
	exit 1
fi

echo "ファイルを設置するディレクトリを入力してください。。
[/var/www/html]"

read DocumentRoot

if [ -z $DocumentRoot]; then
    DocumentRoot="/var/www/html"
fi

if [ -e $DocumentRoot ]; then
	cp -r $Path/scripts/client-get.php $DocumentRoot/client-get.php
	cp -r $Path/scripts/client-post.php $DocumentRoot/client-post.php
	cp -r $Path/scripts/device-get.php $DocumentRoot/device-get.php
	cp -r $Path/scripts/device-post.php $DocumentRoot/device-post.php
    cp -r $Path/scripts/views $DocumentRoot/views
else
	echo "ディレクトリが存在しません"
	exit 1
fi

echo "パスワードなどが記載されたファイルを配置するディレクトリを絶対パスで指定してください。
（セキュリティのため、なるべくドキュメントルート外を指定してください）
[/var/www]"

read  ConstantsPass

if [ -z $ConstantsPass]; then
    ConstantsPass="/var/www"
fi


if [ -e $ConstantsPass ]; then
	cp -i $Path/constants.php $ConstantsPass/constants.php
	sed -i -e "s_include_include '$ConstantsPass/constants.php';_g" $DocumentRoot/client-get.php
	sed -i -e "s_include_include '$ConstantsPass/constants.php';_g" $DocumentRoot/client-post.php
	sed -i -e "s_include_include '$ConstantsPass/constants.php';_g" $DocumentRoot/device-get.php
	sed -i -e "s_include_include '$ConstantsPass/constants.php';_g" $DocumentRoot/device-post.php
else
	echo "ディレクトリが存在しません"
	rm -rf $DocumentRoot/client-get.php
	rm -rf $DocumentRoot/client-post.php
	rm -rf $DocumentRoot/device-get.php
	rm -rf $DocumentRoot/device-post.php
    rm -rf $DocumentRoot/views
	exit 1
fi

count=0

while [ $count -lt 3 ]
do

echo "MySQLのユーザー名を入力してください"
read  MySqlUser
echo "MySQLのパスワードを入力してください"
read  MySqlPass

echo "
"
echo "データベース内にテーブルを作成します"
mysql -u $MySqlUser -p$MySqlPass < $Path/tw_http.sql

if [ $? -ne 0 ]; then
	echo "パスワードかユーザー名が間違っています"
   	count=`expr $count + 1`
else
	echo "成功しました"
	sed -i -e "s_\$user_\$user='$MySqlUser';_g" $ConstantsPass/constants.php
	sed -i -e "s_\$pass_\$pass='$MySqlPass';_g" $ConstantsPass/constants.php
   	echo "サンプルプログラムは(インストールしたフォルダ名)/views/sample.htmlから参照できます" 
    	exit 0
fi

done

rm -rf $DocumentRoot/client-get.php
rm -rf $DocumentRoot/client-post.php
rm -rf $DocumentRoot/device-get.php
rm -rf $DocumentRoot/device-post.php	
rm -f $ConstantsPass/constants.php
rm -rf $DocumentRoot/views
echo "mysqlのパスワードを確認してください"

exit 1
