SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";
CREATE DATABASE IF NOT EXISTS `tw_http` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
USE `tw_http`;

CREATE TABLE IF NOT EXISTS `data` (
`no` int(11) NOT NULL,
  `id` text COLLATE utf8_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `data` varchar(256) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=10057006 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `data_log` (
  `id` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `data` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
`no` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=3953428 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `order` (
`no` int(11) NOT NULL,
  `id` int(11) NOT NULL,
  `address` int(11) NOT NULL,
  `data` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `time` int(11) NOT NULL,
  `checked` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=532 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `port_client` (
`no` int(11) NOT NULL,
  `id` varchar(11) COLLATE utf8_unicode_ci NOT NULL,
  `port` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=39857 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `port_lanx` (
`no` int(11) NOT NULL,
  `id` int(11) NOT NULL,
  `port` int(11) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=30118 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `user` (
  `user` text COLLATE utf8_unicode_ci NOT NULL,
  `device` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


ALTER TABLE `data`
 ADD PRIMARY KEY (`no`);

ALTER TABLE `data_log`
 ADD PRIMARY KEY (`no`), ADD KEY `time` (`time`), ADD KEY `id` (`id`);

ALTER TABLE `order`
 ADD PRIMARY KEY (`no`);

ALTER TABLE `port_client`
 ADD PRIMARY KEY (`no`);

ALTER TABLE `port_lanx`
 ADD PRIMARY KEY (`no`);


ALTER TABLE `data`
MODIFY `no` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=0;
ALTER TABLE `data_log`
MODIFY `no` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=0;
ALTER TABLE `order`
MODIFY `no` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=0;
ALTER TABLE `port_client`
MODIFY `no` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=0;
ALTER TABLE `port_lanx`
MODIFY `no` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=0;