<?php
include './constants.php';

ini_set("ignore_repeated_errors", 1);
ini_set("ignore_repeated_source", 1);
ini_set("log_erorrs", 0);
session_start();

//error_log($_REQUEST["from"] . "device-get");

if(isset($_REQUEST["timeset"]) && $_REQUEST["timeset"] == 1){ //時刻同期のコマンドが着ている場合は現在時刻を返す
	echo '<!DOCTYPE html\n   PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"\n   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' . "\r\n";
	echo "<!-- WebDAC\r\ncmd=14+time&id=0x00000001&sid=" . urlencode("id=" . session_id()) . "&data=" . time() . "\r\n-->";
	exit();

	error_log($_REQUEST["from"] . " timesync");
}

get_order($_REQUEST["from"]);

function get_order($deviceId){ //データベースからコマンドを読み出し、機器へ送信する関数
	global $dsn, $user, $pass;
	$message = array();

	try{
		$dbh = new PDO($dsn, $user, $pass);
		$sql = "SELECT * FROM `order` WHERE id = ? AND checked = 0 ORDER BY `no` ASC LIMIT 1"; //DBに接続し、コマンドとデータを取り出す
		$stmt = $dbh->prepare($sql);
		$stmt->execute(array($deviceId));
		$post = $stmt->fetch(PDO::FETCH_ASSOC);

		if(!$post){ //DBにコマンドがなかった場合
			set_time_limit(0);
			session_write_close();
			$socket = socket_create(AF_INET, SOCK_DGRAM, SOL_UDP); //ソケットを作成しlanxportテーブルにポート番号を登録、接続を待つ
			$port = find_port($socket, $deviceId);
			if($port === -1){
				exit();
			}
			socket_set_option($socket,SOL_SOCKET,SO_RCVTIMEO,array("sec"=>TW_DEVICE_TIMEOUT,"usec"=>0)); //ソケットのタイムアウトを設定

			if(!@socket_recvfrom($socket, $msg, 1024, 0, $from, $comingPort)){ //タイムアウトした場合
				$sql = "DELETE FROM `port_lanx` WHERE port = ?";
				$stmt = $dbh->prepare($sql);
				$stmt->execute(array($port)); //DBからポート番号を削除して終了
				exit();
			}
			socket_close($socket);

			$message = json_decode($msg, true);
			if($message["mode"] === "exit"){
				exit();
			}else if($message["mode"] === "public"){
				return get_order($deviceId);
			}
		}

		$sql = "UPDATE `order` SET checked = TRUE WHERE no = ?"; //取り出したレコードをDBから削除
		$stmt = $dbh->prepare($sql);
		$stmt->execute(array($post["no"]));
		unset($dbh);

		echo '<!DOCTYPE html\n   PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"\n   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' . "\r\n";
		echo "<!-- WebDAC\r\ncmd=13+write&id=0x00000001&sid=" . urlencode("id=" . session_id()) . "&addr=" . $post["address"] . "&len=" . strlen($post["data"])/2 . "&data=" . $post["data"] . "\r\n-->";

	}catch(PDOException $e){

	}
}

//メッセージを待ち受けるポートを探索する関数
function find_port(&$socket, $deviceId){
	global $dsn, $user, $pass;
	socket_bind($socket, 'localhost');
	if(socket_getsockname($socket, $addr, $port)){
		try{
			$dbh = new PDO($dsn, $user, $pass);
			$sql = "INSERT INTO `port_lanx` (`id`, `port`) VALUES ( ?, ?)";
			$stmt = $dbh->prepare($sql);
			$stmt->execute(array($deviceId, $port));
			unset($dbh);
			return $port;
		}catch(PDOException $e){
			/*$data["msg"] = "error occured (" . $e->getMessage() . ")";
			$data["flg"] = false;
			header( 'Content-Type: text/javascript; charset=utf-8' );
			echo json_encode($data);*/
			exit();
		}
	}else{
		/*$data["msg"] = "error occured (Cannot bind socket)";
		header( 'Content-Type: text/javascript; charset=utf-8' );
		echo json_encode($data);*/
		exit();
	}
	return -1;
}

function return_private_command_result($port, $data){
	$socket = socket_create(AF_INET, SOCK_DGRAM, SOL_UDP);
	socket_sendto($socket, $data, strlen($data), 0, '127.0.0.1', $port);
	exit();
}